"use strict";

function ip(prm)
{
    ip.super.constructor.call(this, prm);
}

jstypes.ip = ip;

extend(ip, _ip_base_);

ip.prototype.verifier = function ()
{
    var str = new String(this._value_);


    if ( this._prm.ro )
	return show_error(sprintf(errmsgs.ro_exception, this._prm.name));

    str = str.replace(/ /g, "");

    if ( ! this._check_ip(str) ) {
	this.el.data.classList.add("error");
	return show_error(sprintf(errmsgs.wrong_prm_value,
				  mlang_get_str(this._prm.web.label, this._prm.name),
				  this._prm.name));
    }
    this.el.data.classList.remove("error");

    this.el.data.value = str;
    this._value_ = str;

    return true;
}
